## courier-authlib 0.66.4

=== debian/changelog ===
courier-authlib (0.66.4-9) unstable; urgency=medium

  * Orphan the package.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Dec 2016 15:02:10 +0100

courier-authlib (0.66.4-8) unstable; urgency=medium

  * Use default-libmysqlclient-dev instead of libmysqlclient-dev
  * Run wrap-and-sort -a
  * Rebuild with default-libmysqlclient-dev as libmysqlclient-dev (>= 5.7)
    is broken (Closes: #844952)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 25 Nov 2016 15:21:19 +0100

courier-authlib (0.66.4-7) unstable; urgency=medium

  * /usr/sbin/authdaemon is just a shell wrapper we need to call with
    'start' and 'stop' arguments (Closes: #818747)
  * Look at /usr/lib/courier/courier-authlib/authdaemond for
    courier-authdaemon init.d script status call

 -- Ondřej Surý <ondrej@debian.org>  Wed, 23 Mar 2016 14:38:43 +0100

courier-authlib (0.66.4-6) unstable; urgency=medium

  * Fix the TMPFILES loop in init script (Closes: #818744)
  * Add "start" as default DAEMON_ARGS to launch courier-authdaemon
    (Closes: #818747)
  * Fix courier-authlib-sqlite description (Closes: #810601)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 22 Mar 2016 12:11:51 +0100

courier-authlib (0.66.4-5) unstable; urgency=medium

  * sysvinit-utils | init-d-script is Dependency and not Build-Dependency
  * Looks like trigger name cannot end with /
  * Let's restart courier-authdaemon and not authdaemon in triggered action
    (Closes: #810345)
  * libcourierauth* libraries are normal shared libraries, treat them as such
    (Closes: #378241)
  * Fix misc lintian warnings
  * Add versioned Breaks: for courier-base and maildrop to not break them
  * Rewritten init.d script using init-d-script
    (Closes: #776529, #144505, #580187, #750582)
  * Remove authdaemon restart from prerm scripts, we don't need this
    anymore since we restart authdaemon via dpkg-trigger (Closes: #540374)
  * Rewritten d/rules to use debhelper 9, autoreconf, and autotools-dev
    (Closes: #558542, #540698, #599628, #607123, #744560)
  * Update symbols file to match current symbols and set
    DPKG_GENSYMBOLS_CHECK_LEVEL to 4
  * Add adduser to courier-authlib Depends

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 Mar 2016 11:41:54 +0100

courier-authlib (0.66.4-4) unstable; urgency=medium

  * Update packaging to modern dh9 format and use dh-autoreconf and
    autotools-dev
  * Don't mangle file permissions on install time as it's take care of in
    Debian package
  * Rip AC_PROG_SYSCONFTOOL macro to m4/ directory
  * Fix authdaemondprog linking; missing libcourierauth.la
  * Reorder libs on pkglib_LTLIBRARIES to help libtool find the libs
  * Lintian overrides are installed by dh_lintian

 -- Ondřej Surý <ondrej@debian.org>  Mon, 08 Feb 2016 15:00:41 +0100

courier-authlib (0.66.4-3) unstable; urgency=medium

  * Check and create courier user in authdaemon package in case
    courier-base is not installed first (LP#1542174)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 05 Feb 2016 09:58:26 +0100

courier-authlib (0.66.4-2) unstable; urgency=medium

  * Convert the d/copyright into machine-readable file and add license for
    authldaplib.c
  * Use invoke-rc.d to restart authdaemon on mysql and postgresql fresh
    installation
  * Add courier-authdaemon systemd files (service and tmpfile)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 02 Jan 2016 17:29:17 +0100

courier-authlib (0.66.4-1) unstable; urgency=medium

  * Imported Upstream version 0.66.4
  * Add dependency on libcourier-unicode-dev and wrap-and-sort -a
  * Add myself to Uploaders
  * Add Vcs-* links and Homepage
  * Add d/watch with support for signed packages

 -- Ondřej Surý <ondrej@debian.org>  Thu, 31 Dec 2015 11:33:25 +0100

courier-authlib (0.66.3-1) unstable; urgency=medium

  * Add support for authsqlite
  * New upstream version 0.66.3

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Jun 2015 12:23:12 +0200

courier-authlib (0.66.1-1) unstable; urgency=low

  * New upstream release.

  [Willi Mann <willi@debian.org>]

  * Fix libtool breakage by explicitly using /bin/bash in debian/rules.

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Mon, 28 Oct 2013 11:38:37 +0100

courier-authlib (0.63.0-6) unstable; urgency=low

  [Martin Orr <martin@martinorr.name>]
  
  * Set SELinux context for runtime directories in init script 
    (Closes: #668564) 

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Fri, 13 Apr 2012 08:53:02 +0200

courier-authlib (0.63.0-5) unstable; urgency=low

  [ Moritz Muehlenhoff <jmm@debian.org> ]
  
  * Enable hardened build flags (Closes: #655168)
  
  [ Peter Eisentraut <petere@debian.org> ]
  
  * Add support for "status" action to authdaemon init script

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sat, 07 Apr 2012 16:48:52 +0200

courier-authlib (0.63.0-4) unstable; urgency=low

  * Remove umask check from debian/rules (Closes: #634599, thanks to Lucas
    Nussbaum <lucas@lucas-nussbaum.net> for the report)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Wed, 31 Aug 2011 13:32:46 +0200

courier-authlib (0.63.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Empty dependency_libs (Closes: #621191).

 -- Luk Claes <luk@debian.org>  Tue, 28 Jun 2011 07:23:00 +0200

courier-authlib (0.63.0-3) unstable; urgency=low

  [ Simon McVittie <smcv@debian.org> ]
  * Add a symbols file for libcourier*.so to work around the library name
    being unsuitable for dpkg-shlibdeps (based on a suggestion from
    Steve Langasek, Closes: #554788)
  * Tell dh_makeshlibs and dh_shlibdeps to look in the non-standard library
    directory
  * Make distclean rather than clean to avoid garbage in the Debian diff when
    building twice (patch from Peter Eisentraut, Closes: #527971)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Mon, 11 Oct 2010 10:20:03 +0200

courier-authlib (0.63.0-2) unstable; urgency=low

  * rebuild to really fix MySQL dependency (Closes: #574101)
  * recreation of directories in /var/run uses correct
    ownership/permissions now (Closes: #429866)
  

