## courier-authlib 0.66.4-3build1

=== debian/changelog ===
courier-authlib (0.66.4-3build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:18:31 +0000
