=== debian/control ===
Source: courier-authlib
Section: mail
Priority: optional
Maintainer: Stefan Hornburg (Racke) <racke@linuxia.de>
Uploaders: Ondřej Surý <ondrej@debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 5.0.42),
               expect,
               libcourier-unicode-dev,
               libgdbm-dev | libgdbmg1-dev,
               libidn11-dev,
               libldap-dev,
               libltdl3-dev,
               libmysqlclient-dev,
               libpam0g-dev,
               libpq-dev,
               libsasl2-dev | libsasl-dev,
               libsqlite3-dev,
               libtool,
               pkg-config,
               procps
Homepage: http://www.courier-mta.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/courier-authlib.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/courier-authlib.git;a=summary

Package: courier-authlib
Architecture: any
Depends: expect,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: courier-authdaemon (<< 0.58),
           courier-authmysql,
           courier-authpostgresql,
           courier-base (<< 0.48)
Description: Courier authentication library
 The Courier authentication library provides authentication services for
 other Courier applications.

Package: courier-authdaemon
Architecture: any
Depends: courier-authlib (>= ${RELUP}),
         lsb-base (>= 3.0-10),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Courier authentication daemon
 This package contains the authentication daemon for the Courier applications.

Package: courier-authlib-dev
Architecture: any
Depends: courier-authlib (>= ${RELUP}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: courier-base (<< 0.48)
Description: Development libraries for the Courier authentication library
 This package contains the development libraries and files needed to compile
 Courier packages that use the Courier authentication library.

Package: courier-authlib-userdb
Architecture: any
Depends: courier-authlib (>= ${RELUP}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: courier-base (<< 0.48)
Description: userdb support for the Courier authentication library
 This package contains the userdb support for the Courier authentication
 library. Userdb is a simple way to manage virtual mail accounts using
 a GDBM-based database file.

Package: courier-authlib-mysql
Architecture: any
Depends: courier-authlib (>= ${RELUP}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: courier-authmysql
Replaces: courier-authmysql
Description: MySQL support for the Courier authentication library
 This package contains the MySQL support for the Courier authentication library.

Package: courier-authlib-postgresql
Architecture: any
Depends: courier-authlib (>= ${RELUP}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: courier-authpostgresql
Replaces: courier-authpostgresql
Description: PostgreSQL support for the Courier authentication library
 This package contains the PostgreSQL support for the Courier authentication
 library.

Package: courier-authlib-ldap
Architecture: any
Depends: courier-authlib (>= ${RELUP}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: LDAP support for the Courier authentication library
 This package contains the LDAP support for the Courier authentication library.

Package: courier-authlib-sqlite
Architecture: any
Depends: courier-authlib (>= ${RELUP}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: LDAP support for the Courier authentication library
 This package contains the SQLite 3 support for the Courier authentication library.

Package: courier-authlib-pipe
Architecture: any
Depends: courier-authlib (>= ${RELUP}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: External authentication support for the Courier authentication library
 This package contains external authentication support via pipes for the
 Courier authentication library. The authpipe module is a generic plugin
 that enables authentication requests to be serviced by an external
 program, then communicates through messages on stdin and stdout.
