## courier-authlib 0.68.0

=== debian/changelog ===
courier-authlib (0.68.0-4ubuntu0.1) bionic-proposed; urgency=medium

  * SRU: LP: #1815080.
  * Add more template symbols to the symbols file (generated by GCC 7.4),
    and mark them as optional.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Feb 2019 18:02:08 +0100

courier-authlib (0.68.0-4build1) bionic; urgency=medium

  * Rebuild against new libgdbm5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Feb 2018 15:24:23 +0100

courier-authlib (0.68.0-4) unstable; urgency=medium

  [ Matthias Klose ]
  * Update symbols file for -O3 builds. Closes: #875276.

  [ Markus Wanner ]
  * Correct build dependencies: require version 2.0 or newer of
    courier-unicode, as per aclocal.m4.
  * Use CONFIG_SHELL rather than just SHELL to enhance
    reproducibility.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 11 Sep 2017 23:06:17 +0200

courier-authlib (0.68.0-3) unstable; urgency=medium

  * A few symbols from libcourierauthcommon.so.0 do not follow any
    pattern. Mark them as optional. Closes: #868739.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 18 Jul 2017 17:14:27 +0200

courier-authlib (0.68.0-2) unstable; urgency=medium

  * Correct symbols file for 32-bit architectures. Closes: #866975.
  * Tweak autopkgtests to work better.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 17 Jul 2017 22:36:26 +0200

courier-authlib (0.68.0-1) unstable; urgency=medium

  * New upstream release 0.68.0, upload to unstable.
  * Drop patch 0006-Correct-CXXFLAGS.patch, it got applied upstream.
  * Add three autopkgtests: pam, postgres-simple, postgres-custom.
  * Add patch 0007-add-missing-include.patch so the rfc822 component
    compiles again.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 02 Jul 2017 17:05:15 +0200

courier-authlib (0.67.0-1) experimental; urgency=medium

  * New upstream release 0.67.0.
  * Take over the package. Closes: #848981.
  * Update d/watch to ignore development snapshots.
  * Bump S-V to 3.9.8, no changes required.
  * Update d/copyright: adjust years, add myself, correct moved files.
  * Refresh patches: 0001 and 0003.
  * Adapt patch 0003-Fix-authdaemondprog-linking-missing-
    libcourierauth.patch to apply, again.
  * Add patch 0006-Correct-CXXFLAGS.patch.
  * Update symbols: according to upstream, vanishing symbols are all
    used for internal APIs only and shoul not affect library users.
  * d/control: Use https for Vcs-* and Homepage fields.
  * d/control: drop the deprecated or-ed dependency on libmysqlclient-dev.
  * Use mailuser and mailgroup arguments for configure (as courier-base
    with courier-config is not available at build time).
  * Drop autotools-dev, use only dh_autoreconf.
  * Enable basic hardening features, doesn't quite cover all libs, yet.
  * Add a separate `set -e` line in postrm and postinst scripts, fixes
    a lintian warning.
  * Hard-wire $SHELL to /bin/sh in the hope for more reproducible builds.
  * Drop now obsolete lintian overrides.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 09 Apr 2017 20:54:30 +0200
