## courier-authlib 0.69.0

=== debian/changelog ===
courier-authlib (0.69.0-2build3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:36:37 +0100

courier-authlib (0.69.0-2build2) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 21 Aug 2019 15:45:47 +0000

courier-authlib (0.69.0-2build1) disco; urgency=medium

  * No-change rebuild against mysql 5.7, reverting the deferred mysql-
    8.0 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Feb 2019 11:05:08 -0800

courier-authlib (0.69.0-2) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Pass PS=/bin/ps to configure
    - fixes redproducible build on merged-usr vs non-merged
    Closes: #915226.

  [ Markus Wanner ]
  * Correct CI test pam, drop postgres-simple and postgres-complex
    for now.
  * Update symbols file to cover even more optional symbols.
  * Bump Standards-Version to 4.3.0: no changes required.

 -- Markus Wanner <markus@bluegap.ch>  Sat, 02 Feb 2019 23:17:27 +0100

courier-authlib (0.69.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/watch: Use https protocol

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #884630)
    + Do not try to guess the mail user/group from the build system.
    + Use fcntl locking.
    + Add 0009-cross.patch: Consider $ac_tool_prefix for pkg-config.

  [ Markus Wanner ]
  * New upstream release.
  * Bump d/compat to 11.
  * Add patch 0008-fix-perl-shebang.patch to fix perl shebang.
  * Refresh patch 0001-Don-t-mangle-permissions....patch
  * Drop patches 0003 and 0004, they have been integrated upstream.
  * Increase verbosity in d/rules.
  * Drop postinst call of invoke-rc.d and rely on debhelper, instead.
  * Bump Standards-Version to 4.2.1: no further changes required.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 16 Oct 2018 18:43:27 +0200

courier-authlib (0.68.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Relax checks for C++ symbols (Closes: #897725)
  * Update Vcs-* fields in debian/control

 -- Dmitry Bogatov <KAction@gnu.org>  Wed, 10 Oct 2018 16:35:27 +0000
