=== debian/tests/control ===
Tests: pam
Restrictions: needs-root
Depends: courier-authdaemon, bsdmainutils
