## courier-authlib 0.71.0

=== debian/changelog ===
courier-authlib (0.71.0-1) unstable; urgency=medium

  * New upstream release 0.71.0.
  * Refresh patches 0001, 0002 and 0009.
  * Update patch 0005, of which some has been adapted upstream.
  * Drop symbols file, replace with plain shlibs approach.

 -- Markus Wanner <markus@bluegap.ch>  Sat, 26 Dec 2020 22:53:37 +0100
