=== debian/rules ===
--- 
+++ 
@@ -57,8 +57,6 @@
 		--enable-userdb \
 		--enable-syslog=1 \
 		--disable-root-check \
-		--with-mailuser=daemon \
-		--with-mailgroup=daemon \
 		--with-locking-method=fcntl \
 
 override_dh_auto_configure:
