## courier-authlib 0.71.1

=== debian/changelog ===
courier-authlib (0.71.1-2) unstable; urgency=medium

  * Tighten permissions on /run/courier/authdaemon.  Closes: #984810.
  * Correct init script to be idempotent.  Closes: #984818.
  * Move binaries autpasswd, authtest, and authenumerate from
    courier-authlib to courier-authdaemon.  They require the
    daemon to run and are useless without it.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 08 Mar 2021 23:11:08 +0100

courier-authlib (0.71.1-1) unstable; urgency=medium

  * Minor upstream update 0.71.1.
  * Fix FTCBFS by extending patch 0009.  Closes: #929979.
  * Bump Standards-Version to 4.5.1: no changes required.
  * Bump compat version: replace d/compat with debhelper-compat, use
    dh_missing for --fail-missing, use d/not-installed.
  * Drop unnecessary B-D on dh-autoreconf and pkg-kde-tools, drop the
    corresponding flags in d/rules.  autoreconf is no longer necessary
    and the symbolshelper no longer used.
  * Adjust postrm scripts to avoid a deprecation warning on the
    --force argument of dpkg-statoverride.
  * Rename to d/courier-authdaemon.tmpfiles to avoid a deprecation
    warning.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 16 Feb 2021 21:57:47 +0100
