=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: mail
 Priority: optional
 Maintainer: Markus Wanner <markus@bluegap.ch>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13),
                default-libmysqlclient-dev,
                expect,
                libcourier-unicode-dev (>= 2.0),
@@ -20,8 +19,8 @@
                pkg-config,
                procps
 Homepage: https://www.courier-mta.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/courier-authlib.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/courier-authlib.git
+Vcs-Git: https://salsa.debian.org/debian/courier-authlib.git
+Vcs-Browser: https://salsa.debian.org/debian/courier-authlib
 
 Package: courier-authlib
 Architecture: any
@@ -29,8 +28,6 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: expect
-Breaks: courier-base (<< 0.75.0-15),
-        maildrop (<< 2.7.1-4)
 Description: Courier authentication library
  The Courier authentication library provides authentication services
  for other Courier applications.
@@ -42,6 +39,8 @@
          sysvinit-utils (>= 2.88dsf-50) | init-d-script,
          ${misc:Depends},
          ${shlibs:Depends}
+Replaces: courier-authlib (<< 0.71.1-2~)
+Breaks: courier-authlib (<< 0.71.1-2~)
 Description: Courier authentication daemon
  This package contains the authentication daemon for the Courier
  applications.
