## courier-authlib 0.71.4

=== debian/changelog ===
courier-authlib (0.71.4-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:56:30 +0000

courier-authlib (0.71.4-1build2) noble; urgency=medium

  * No change rebuild for libgdbm6t64

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 22 Mar 2024 14:08:22 +0000

courier-authlib (0.71.4-1build1) lunar; urgency=medium

  * No-change rebuild against libldap-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:45:40 +0000

courier-authlib (0.71.4-1) unstable; urgency=medium

  * New upstream release 0.71.4
  * Bump S-V from 4.5.1 to 4.6.0: no changes required
  * Add d/gbp.conf

 -- Markus Wanner <markus@bluegap.ch>  Wed, 13 Apr 2022 07:52:45 +0200
