=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: courier-authlib
 Section: mail
 Priority: optional
-Maintainer: Markus Wanner <markus@bluegap.ch>
-Standards-Version: 4.5.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Markus Wanner <markus@bluegap.ch>
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
                default-libmysqlclient-dev,
                expect,
