=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --with autoreconf,pkgkde_symbolshelper
+	dh $@
 
 COMMON_CONFOPTS=--with-authdaemonvar=/run/courier/authdaemon \
 		--with-pkgconfdir=/etc/courier \
@@ -87,4 +87,5 @@
 
 	mv -v debian/tmp/etc/courier/authpgsqlrc.dist debian/tmp/etc/courier/authpgsqlrc
 
-	dh_install --fail-missing -X.la
+	dh_install
+	dh_missing --fail-missing
