## courier-authlib 0.72.3

=== debian/changelog ===
courier-authlib (0.72.3-4) unstable; urgency=medium

  * debian/control:  Bump standards-version to 4.7.1, no changes needed.
  * debian/rules:  Reenable hardcoding the shell to /bin/sh, which fixes
    reproducible builds.

 -- Soren Stoutner <soren@debian.org>  Fri, 21 Feb 2025 11:10:06 -0700

courier-authlib (0.72.3-3) unstable; urgency=medium

  * debian/courier-authlib-ldap.docs:  Install authldap.ldif to
    /usr/share/docs/courier-authlib-ldap/, thank to Yves-Alexis Perez
    <corsac@debian.org> (Closes: #632179).

 -- Soren Stoutner <soren@debian.org>  Fri, 21 Feb 2025 10:18:18 -0700

courier-authlib (0.72.3-2) unstable; urgency=medium

  * debian/rules:  Enable all build hardening flags.

 -- Soren Stoutner <soren@debian.org>  Mon, 17 Feb 2025 16:31:33 -0700

courier-authlib (0.72.3-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/gbp.conf to enforce pristine-tar and sign-tags.
  * Add debian/lrc.config.
  * Add debian/salsa-ci.yml with default contents.
  * Add debian/upstream/metadata.
  * debian/control:
    - Make myself the package maintainer.
    - Remove the obsolete optional build-depends on libgdbmg1-dev and
      libsasl-dev.
    - Remove obsolete build-depnds version constraint on libcourier-unicode-dev
      (>= 2.0).
    - Update build-depends from libidn11-dev to libidn2-dev (Closes: #1086097).
    - Update build-depends from libltdl3-dev to libltdl-dev.
    - Update build-depends from pkg-config to pkgconf.
    - Remove obsolete courier-authlib depends on lsb-base.
    - Remove courier-authlib depends on obsolete constrained version of
      sysvinit-utils (>= 2.88dsf-50).
    - Remove obsolete courier-authlib optional depends on init-d-script.
    - Add pre-depends on ${misc:Pre-Depends} to courier-authdaemon.
    - Add "Rules-Requires-Root: no".
    - Bump standards-version to 4.7.0 (no changes needed).
  * debian/copyright:
    - Add myself to the debian/* stanza.
    - Refactor upstream sections.
  * debian/patches/Don-t-mangle-permissions-on-install-time-as-it-s-tak.patch:
    Refresh offset.
  * debian/patches/Rip-AC_PROG_SYSCONFTOOL-macro-to-m4-directory.patch:  Refresh
    failed hunk.
  * debian/patches/0009-cross.patch:  Refresh offsets.
  * debian/watch:  Update to version 4.

 -- Soren Stoutner <soren@debian.org>  Mon, 17 Feb 2025 15:46:05 -0700
