=== debian/control ===
--- 
+++ 
@@ -1,27 +1,27 @@
 Source: courier-authlib
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Markus Wanner <markus@bluegap.ch>
-Standards-Version: 4.6.0
+Maintainer: Soren Stoutner <soren@debian.org>
+Standards-Version: 4.7.1
 Build-Depends: debhelper-compat (= 13),
                default-libmysqlclient-dev,
                expect,
-               libcourier-unicode-dev (>= 2.0),
-               libgdbm-dev | libgdbmg1-dev,
-               libidn11-dev,
+               libcourier-unicode-dev,
+               libgdbm-dev,
+               libidn2-dev,
                libldap-dev,
-               libltdl3-dev,
+               libltdl-dev,
                libpam0g-dev,
                libpq-dev,
-               libsasl2-dev | libsasl-dev,
+               libsasl2-dev,
                libsqlite3-dev,
                libtool,
-               pkg-config,
+               pkgconf,
                procps
 Homepage: https://www.courier-mta.org/
 Vcs-Git: https://salsa.debian.org/debian/courier-authlib.git
 Vcs-Browser: https://salsa.debian.org/debian/courier-authlib
+Rules-Requires-Root: no
 
 Package: courier-authlib
 Architecture: any
@@ -35,9 +35,8 @@
 
 Package: courier-authdaemon
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: courier-authlib (>= ${binary:Version}),
-         lsb-base (>= 3.0-10),
-         sysvinit-utils (>= 2.88dsf-50) | init-d-script,
          ${misc:Depends},
          ${shlibs:Depends}
 Replaces: courier-authlib (<< 0.71.1-2~)
