=== debian/rules ===
--- 
+++ 
@@ -1,23 +1,27 @@
 #!/usr/bin/make -f
-# See debhelper(7) (uncomment to enable)
-# output every command that modifies files on the build system.
+
+# Uncomment to enable verbose build.
 #DH_VERBOSE = 1
 
-# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
+# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*  TODO, figure out if this is needed.
 DPKG_EXPORT_BUILDFLAGS = 1
 
-# see FEATURE AREAS in dpkg-buildflags(1)
+# Enable all build hardening flags.
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-# see ENVIRONMENT in dpkg-buildflags(1)
-# package maintainers to append CFLAGS
-#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-# package maintainers to append LDFLAGS
-#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+# Export the DPKG default build flags.
+DPKG_EXPORT_BUILDFLAGS = 1
 
-# the build captures $SHELL, hard-wire to "/bin/sh"
+# Include the default build flags.  <https://wiki.debian.org/Hardening#dpkg-buildflags>
+include /usr/share/dpkg/buildflags.mk
+
+# Append the CPPFLAGS to the standard CFLAGS variables.  <https://wiki.debian.org/Hardening#Notes_for_packages_using_CMake>
+CFLAGS += $(CPPFLAGS)
+
+# The build captures $SHELL, but it needs to be hard-wired to "/bin/sh".  This is necessary for reproducible builds.
 export CONFIG_SHELL=/bin/sh
 
+# TODO, figure out if this is needed.
 include /usr/share/dpkg/default.mk
 
 # main packaging script based on dh7 syntax
